> ## Documentation Index
> Fetch the complete documentation index at: https://developer.cardplus.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Available Card List for Agency



## OpenAPI

````yaml /CARDPLUS-API.json get /wallet/api/credit/list
openapi: 3.0.3
info:
  description: Wallet API Documentation
  version: '2.0'
  title: Wallet API Documentation
servers:
  - url: http://access-wallet.test.ftrader.pro
    description: Test development server
security: []
tags:
  - name: General
    description: General common APIs
  - name: Address Management
    description: User address CRUD operations
  - name: Agency Management
    description: Agency-related operations including card application and asset management
  - name: Asset Management
    description: User asset list and asset transfer operations
  - name: Card Management
    description: >-
      Card operations including activation, locking, balance, top-up, transfers,
      and queries
  - name: Deposit
    description: Deposit and top-up from user assets to card
  - name: KYT
    description: Know Your Transaction check
  - name: User Management
    description: User registration, KYC, card application, and information queries
paths:
  /wallet/api/credit/list:
    get:
      tags:
        - Card Management
      summary: Available Card List for Agency
      operationId: creditListUsingGET
      parameters:
        - name: agencyCode
          in: query
          description: Agency code
          required: true
          schema:
            type: string
        - name: appId
          in: query
          description: App identifier
          required: true
          schema:
            type: string
        - name: sign
          in: query
          description: Signature
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseListCreditCardDTO'
components:
  schemas:
    ResponseListCreditCardDTO:
      type: object
      required:
        - code
        - msg
      properties:
        code:
          type: integer
          format: int32
        data:
          type: array
          items:
            $ref: '#/components/schemas/CreditCardDTO'
        msg:
          type: string
    CreditCardDTO:
      type: object
      required:
        - createTime
        - currency
        - currencyIcon
        - currencyId
        - currencySymbol
        - dailyAtmLimit
        - dailyConsumptionLimit
        - decimalPlaces
        - enableActivity
        - feature
        - feeIssuing
        - feeKyc
        - feeMonth
        - groupName
        - id
        - level
        - name
        - network
        - rechargeFeeRate
        - status
        - styleConfig
        - type
        - updateTime
      properties:
        channel:
          type: string
          enum:
            - CRYPTO
            - EPAY
            - MORGAN
            - TRUST
            - UTGL
            - YINSHENG
        createTime:
          type: string
          format: date-time
        currency:
          type: string
          enum:
            - AUD
            - CAD
            - CNY
            - DEM
            - EUR
            - FRF
            - GBP
            - HKD
            - JPY
            - TWD
            - USD
        currencyIcon:
          type: string
        currencyId:
          type: integer
          format: int64
        currencySymbol:
          type: string
        dailyAtmLimit:
          type: number
        dailyConsumptionLimit:
          type: number
        decimalPlaces:
          type: integer
          format: int32
        enableActivity:
          type: boolean
        feature:
          type: string
        feeIssuing:
          type: number
        feeKyc:
          type: number
        feeMonth:
          type: number
        groupName:
          type: string
        id:
          type: integer
          format: int64
        level:
          type: integer
          format: int32
        name:
          type: string
        network:
          type: string
          enum:
            - MASTER
            - VISA
        rechargeFeeRate:
          type: number
        status:
          type: string
          enum:
            - DISABLE
            - ENABLE
        styleConfig:
          type: string
        type:
          type: string
          enum:
            - PHYSICAL
            - VIRTUAL
        updateTime:
          type: string
          format: date-time

````